Page MenuHomePhabricator

Use updated trash icon on deletion-related notifications
Closed, ResolvedPublic

Description

Two notifications use a trash icon that does not align with our design guidelines:

  • pagetriage-add-deletion-tag
  • osm-instance-deleted

Current icon:

Proposed icon (based on the trash icon from the icon repo):


Event Timeline

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Normal.
Pginer-WMF added a project: Notifications.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 4 2016, 10:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
MtDu added a subscriber: MtDu.Feb 5 2016, 4:28 AM

I'll take care of this.
Thanks,
MtDu

Change 268621 had a related patch set uploaded (by MtDu):
Use new trash icon *On deletion-related notifications

https://gerrit.wikimedia.org/r/268621

SBisson assigned this task to MtDu.Feb 5 2016, 1:45 PM
SBisson set Security to None.

Change 268621 merged by jenkins-bot:
Use new trash icon *On deletion-related notifications

https://gerrit.wikimedia.org/r/268621

@Catrope Can you check the icon for osm-instance-deleted?

Etonkovidova added a subscriber: SBisson.EditedFeb 15 2016, 8:22 PM

pagetriage-add-deletion-tag in betalabs:

NOTICE:

  1. that 'speedy deletion' tag pre-appends each reason for deletion.

  1. According to "V 2.0 Notifications -- Showing Updated Text and Links" pagetriage-add-deletion-tag notification e.g. - The page Moai was marked for deletion. Tags: prod, afd, linkrot, speedy deletion-vandalism.

Currently, the notificaiton looks like: - The page Moai was reviewed and marked for deletion by Username. Tags: prod, afd, linkrot, speedy deletion-vandalism.

  1. the trash bin icon is different now from Curation tools trashbin:

  1. osm notifications

osm-instance-build-completed
osm-instance-reboot-completed
osm-instance-deleted
osm-projectmembers-add

In the the screenshot (per @SBisson) a project name should be bolded.
e.g. from
"Instance "Instancename" built in project Projectname."

Notifications page

the trash bin icon is different now from Curation tools trashbin

The Curation tool was created before @violetto started working on the new icons. So probably none of them are meeting the standard ones. I'll leave to the UI-Standardization team to evaluate whether that extension needs to be updated.

Sounds good. Closing this bug. @Pginer-WMF, did you -- or do you want to as a courtesy -- create a ticket in the UI-Sttandardization project for the pagetriage panel. Thanks.

jmatazzoni closed this task as Resolved.Feb 17 2016, 4:35 PM
Sounds good. Closing this bug. @Pginer-WMF, did you -- or do you want to as a courtesy -- create a ticket in the UI-Sttandardization project for the pagetriage panel. Thanks.

Done at T127202: Update Page Curation icons to make them consistent